Skip to main content
POST
/
api
/
tables
/
{tableId}
/
topup
Top up chips
curl --request POST \
  --url https://hedgeem-v5.qeetoto.com/api/tables/{tableId}/topup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "playerId": "abc123",
  "amount": 100
}
'
{
  "acknowledgement": "ACK",
  "newSeatBalance": 600,
  "newAccountBalance": 900
}

Authorizations

Authorization
string
header
required

Supabase Auth JWT. Obtain via Supabase Auth sign-in.

Path Parameters

tableId
integer
required

Unique numeric table identifier

Required range: x >= 1
Example:

1

Body

application/json
playerId
string
required
Example:

"abc123"

amount
number
required
Required range: x >= 0.01
Example:

100

Response

Top up acknowledgement

acknowledgement
enum<string>
Available options:
ACK,
NACK
newSeatBalance
number
Example:

600

newAccountBalance
number
Example:

900